unit MainForm_Unit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TMainForm = class(TForm)
    Panel1: TPanel;
    StartButton: TButton;
    StopButton: TButton;
    Timer: TTimer;
    Label1: TLabel;
    TimeListBox: TListBox;
    AddButton: TButton;
    DelButton: TButton;
    TimeEdit: TEdit;
    procedure StartButtonClick(Sender: TObject);
    procedure StopButtonClick(Sender: TObject);
    procedure TimerTimer(Sender: TObject);
    procedure DelButtonClick(Sender: TObject);
    procedure AddButtonClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}

procedure Delay(MSeconds : Longint);
var FTickCount : Longint;
Begin
  FTickCount := GetTickCount;
  Repeat
    Application.ProcessMessages;
  Until ((GetTickCount-FTickCount) >= MSeconds);
end;

procedure TMainForm.StartButtonClick(Sender: TObject);
begin
  StartButton.Enabled := FALSE;
  StopButton.Enabled := TRUE;
  Timer.Enabled := TRUE;
end;

procedure TMainForm.StopButtonClick(Sender: TObject);
begin
  StartButton.Enabled := TRUE;
  StopButton.Enabled := FALSE;
  Timer.Enabled := FALSE;
end;

procedure TMainForm.TimerTimer(Sender: TObject);
var P: TPoint;
    i: Integer;
    CurTime: String;
begin
  with MainForm do
    for i := 0 to TimeListBox.Items.Count-1 do
      if TimeListBox.Items[i] = Copy(TimeToStr(time), 1, 5) then
      begin
        Mouse_Event(MOUSEEVENTF_LEFTDOWN, P.X, P.Y, 0, 0);
        Delay(100);
        Mouse_Event(MOUSEEVENTF_LEFTUP, P.X, P.Y, 0, 0);
      end;
end;

procedure TMainForm.DelButtonClick(Sender: TObject);
begin
  if not (TimeListBox.ItemIndex = -1) then
    TimeListBox.Items.Delete(TimeListBox.ItemIndex);
end;

procedure TMainForm.AddButtonClick(Sender: TObject);
begin
  TimeListBox.Items.Add(TimeEdit.Text);
end;

end.
